E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GSsl::OpenSSL::LibraryImp Class Reference

An implementation of the GSsl::LibraryImpBase interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::LibraryImp:

## Public Types
using | Error = GSsl::OpenSSL::Error

## Public Member Functions
| LibraryImp (G::StringArray &library_config, Library::LogFn, bool verbose)
Config | config () const
bool | noverify () const
Library::LogFn | log () const
bool | verbose () const
int | index () const
| LibraryImp (const LibraryImp &)=delete
| LibraryImp (LibraryImp &&)=delete
void | operator= (const LibraryImp &)=delete
void | operator= (LibraryImp &&)=delete
Public Member Functions inherited from GSsl::LibraryImpBase
virtual | ~LibraryImpBase ()=default
| Destructor.
virtual std::string | id () const =0
| Implements Library::id().
virtual void | addProfile (const std::string &, bool, const std::string &, const std::string &, const std::string &, const std::string &, const std::string &, const std::string &)=0
| Implements Library::addProfile().
virtual bool | hasProfile (const std::string &profile_name) const =0
| Implements Library::hasProfile().
virtual const Profile & | profile (const std::string &profile_name) const =0
| Implements Library::profile().
virtual G::StringArray | digesters (bool) const =0
| Implements Library::digesters().
virtual Digester | digester (const std::string &, const std::string &, bool) const =0
| Implements Library::digester().
virtual bool | generateKeyAvailable () const =0
| Implements Library::generateKeyAvailable().
virtual std::string | generateKey (const std::string &) const =0
| Implements Library::generateKey().

## Static Public Member Functions
static std::string | credit (const std::string &prefix, const std::string &eol, const std::string &eot)
static std::string | sid ()
Static Public Member Functions inherited from GSsl::LibraryImpBase
static bool | consume (G::StringArray &list, const std::string &item)
| A convenience function that removes the item from the list and returns true iff is was removed. More...

## Detailed Description

An implementation of the GSsl::LibraryImpBase interface for OpenSSL.

Definition at line 183 of file gssl_openssl.h.

## Member Typedef Documentation

## ◆ Error

using GSsl::OpenSSL::LibraryImp::Error = GSsl::OpenSSL::Error

Definition at line 186 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ LibraryImp()

GSsl::OpenSSL::LibraryImp::LibraryImp | ( | G::StringArray & | library_config,
|  | Library::LogFn | log_fn,
|  | bool | verbose
| ) |  |

Definition at line 48 of file gssl_openssl.cpp.

## ◆ ~LibraryImp()

GSsl::OpenSSL::LibraryImp::~LibraryImp | ( |  | ) |
| override

Definition at line 74 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ config()

GSsl::OpenSSL::Config GSsl::OpenSSL::LibraryImp::config | ( |  | ) | const

Definition at line 113 of file gssl_openssl.cpp.

## ◆ credit()

std::string GSsl::OpenSSL::LibraryImp::credit | ( | const std::string & | prefix,
|  | const std::string & | eol,
|  | const std::string & | eot
| ) |  |
| static

Definition at line 118 of file gssl_openssl.cpp.

## ◆ index()

int GSsl::OpenSSL::LibraryImp::index | ( |  | ) | const

Definition at line 162 of file gssl_openssl.cpp.

## ◆ log()

GSsl::Library::LogFn GSsl::OpenSSL::LibraryImp::log | ( |  | ) | const

Definition at line 152 of file gssl_openssl.cpp.

## ◆ sid()

std::string GSsl::OpenSSL::LibraryImp::sid | ( |  | ) |
| static

Definition at line 88 of file gssl_openssl.cpp.

## ◆ verbose()

bool GSsl::OpenSSL::LibraryImp::verbose | ( |  | ) | const

Definition at line 157 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp